<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for addDns StructType
 * @subpackage Structs
 */
class AddDns extends AbstractStructBase
{
    /**
     * The addDn
     * Meta information extracted from the WSDL
     * - maxOccurs: 3
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\AddDn[]
     */
    public $addDn;
    /**
     * Constructor method for addDns
     * @uses AddDns::setAddDn()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AddDn[] $addDn
     */
    public function __construct(array $addDn = array())
    {
        $this
            ->setAddDn($addDn);
    }
    /**
     * Get addDn value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AddDn[]|null
     */
    public function getAddDn()
    {
        return $this->addDn;
    }
    /**
     * Set addDn value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AddDn[] $addDn
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AddDns
     */
    public function setAddDn(array $addDn = array())
    {
        $this->addDn = $addDn;
        return $this;
    }
    /**
     * Add item to addDn value
     * @throws \InvalidArgumentException
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AddDn $item
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AddDns
     */
    public function addToAddDn(\\Losc\CucmBundle\Model\Webservice\StructType\AddDn $item)
    {
        $this->addDn[] = $item;
        return $this;
    }
}
